Package org.snpeff.vcf

# Class VcfConsequenceHeader

java.lang.Object
org.snpeff.vcf.VcfConsequenceHeader

public class VcfConsequenceHeader extends Object
An 'CSQ' entry in a vcf header line

Author:
  pablocingolani

## Constructor Summary

Constructors
Constructor
Description
`VcfConsequenceHeader(VcfFileIterator vcf)`

## Method Summary

Modifier and Type
Method
Description
`String[]`
`getFieldNames()`
`Integer`
`getFieldNum(String fieldName)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### VcfConsequenceHeader

public VcfConsequenceHeader(VcfFileIterator vcf)

## Method Details

### getFieldNames

public String[] getFieldNames()

### getFieldNum

public Integer getFieldNum(String fieldName)

### toString

public String toString()

Overrides:
  `toString` in class `Object`